Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 26 Apr 2017, 02:30
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
GetFlash install Flashplayer
Post new topic   Reply to topic View previous topic :: View next topic
Page 11 of 11 [158 Posts]   Goto page: Previous 1, 2, 3, ..., 9, 10, 11
Author Message
Bird Dog

Joined: 15 Jun 2014
Posts: 43
Location: Toronto, Ontario, Canada

PostPosted: Sat 26 Nov 2016, 18:47    Post subject: getflash  

Thanks Richard and Geoffrey the getflash update works great with tahrpup64-6.0.5 on my 6 core AMD.

Thanks
Bird Dog

_________________
Full install - Precise 5.6.1, 5.7.1 retro on P3 866mhz & 1000mhz
Frugal Tahrpup 646.0.5 save folder on core2 quad Q6600 2 gigs ram and AMD 6 core 4 gigs ram Frugal Tahrpup 6.0.5 CE save folder on P4 3.0 ghz 1 gig ram and Dell P4 Celeron 2.4 ghz 1 gig ram
Back to top
View user's profile Send private message 
Argolance


Joined: 06 Jan 2008
Posts: 2807
Location: PORT-BRILLET (Mayenne - France)

PostPosted: Thu 15 Dec 2016, 10:24    Post subject:  

Arrow getflash-1.6c_161215
_________________

Back to top
View user's profile Send private message Visit poster's website 
rerwin


Joined: 24 Aug 2005
Posts: 1782
Location: Maine, USA

PostPosted: Thu 22 Dec 2016, 00:10    Post subject:  

Here is 1.6 updated for the 'npapi' change in the download URL.

The changes made are:
Code:
diff -r getflash-1.6/etc/getflash.conf getflash-1.6.1/etc/getflash.conf
2a3
> #161221 rerwin: update DOWNLOAD_URL for npapi
30c31
< DOWNLOAD_URL='fpdownload.adobe.com/get/flashplayer/pdc/${FLASH_VERSION}/install_flash_player_11_linux.${INSTRUCTION_SET}.tar.gz'
---
> DOWNLOAD_URL='fpdownload.adobe.com/get/flashplayer/pdc/${FLASH_VERSION}/flash_player_npapi_linux.${INSTRUCTION_SET}.tar.gz'
diff -r getflash-1.6/pet.specs getflash-1.6.1/pet.specs
1c1
< getflash-1.6|getflash|1.6||Internet|39K||getflash-1.6.pet||GetFlash - install Flashplayer||||
---
> getflash-1.6.1|getflash|1.6.1||Internet|41K||getflash-1.6.1.pet||GetFlash - install Flashplayer||||
diff -r getflash-1.6/usr/sbin/getflash getflash-1.6.1/usr/sbin/getflash
20a21
> #161221 v1.6.1 rerwin: update for new version not 11; use only https URL
22c23
< AppVersion=1.6
---
> AppVersion=1.6.1
299c300
<       _V11X="flashplayer11-$NEWVERSION-$INSTRUCTION_SET ($NEWMB) - $(gettext "Latest version available")"
---
>       _V11X="flashplayer-$NEWVERSION-$INSTRUCTION_SET ($NEWMB) - $(gettext "Latest version available")" #161221
356,360c357
<        if [ "$(echo -n "$DOWNLOADURL" | grep 'https')" == "" ];then #150305
<         echo -e "#!/bin/sh\nwget -O - $DOWNLOADURL | tar --no-same-owner -xz" > /tmp/delayedrun_flashdl
<        else
<         echo -e "#!/bin/sh\nwget --no-check-certificate -O - $DOWNLOADURL | tar --no-same-owner -xz" > /tmp/delayedrun_flashdl
<        fi
---
>        echo -e "#!/bin/sh\nwget --no-check-certificate -O - $DOWNLOADURL | tar --no-same-owner -xz" > /tmp/delayedrun_flashdl #161221

Update 12/29/16: Re-uploaded the package after download #97, to remove the unintended file, /etc/getflash.conf.old, which did no harm but was clutter.
getflash-1.6.1.pet
Description  Download URL updated
pet

 Download 
Filename  getflash-1.6.1.pet 
Filesize  11.6 KB 
Downloaded  421 Time(s) 
Back to top
View user's profile Send private message 
rerwin


Joined: 24 Aug 2005
Posts: 1782
Location: Maine, USA

PostPosted: Sun 05 Feb 2017, 16:04    Post subject: getflash-1.7
Subject description: Merge of 1.5-8 and 1.6.1, to restore autoupdate and some polish
 

The getflash 1.6 versions are based on shinobar's version 1.5-6, which does not have the auto update feature introduced in 1.5-7. Version 1.5-8 contains small internal changes but is available only in woofCE, apparently never released as a .pet. Version 1.7 combines the 1.5-8 features with the change in the method of accessing Flash packages from Adobe provided by 1.6.1.

The new version of getflash looks about the same as 1.5-7 but omits the button that updates the configuration file from the internet. That source of the file has not kept up with the recent changes by Adobe and conflicts with the (Geoffrey's) new way of obtaining the Flash packages. The functionality is the same as in version 1.6.1 but restores the option to check for flash updates at boot-up time. (It has been submitted to woofCE.)

EDIT: Re-uploaded the package after download #3 to correct a bug in the updating of the user-installed-packages list.

The bug would lose the entry for any still-loaded flash packages, making them impossible to uninstall. However, uninstalling any flash package would actually uninstall the plugins of all installed flash packages. So, old flash packages should be uninstalled before adding a new one. Otherwise, just leave them in place, as the plugin got replaced with the new one, anyway.
getflash-1.7.pet
Description  Up-to-date getflash with auto-update feature restored
pet

 Download 
Filename  getflash-1.7.pet 
Filesize  14.5 KB 
Downloaded  340 Time(s) 

Last edited by rerwin on Sun 05 Feb 2017, 19:31; edited 3 times in total
Back to top
View user's profile Send private message 
Sailor Enceladus

Joined: 22 Feb 2016
Posts: 1040

PostPosted: Sun 05 Feb 2017, 18:37    Post subject:  

Thanks rerwin. Downloaded 24.0.0.194 with the getflash-1.7 pet in Slacko 6.9.6.4 32-bit then I restarted Firefox and tried a Facebook game and it's working.
Back to top
View user's profile Send private message 
sszindian


Joined: 24 Apr 2010
Posts: 716
Location: Pennsylvania U.S.

PostPosted: Sun 19 Feb 2017, 01:40    Post subject: Thanks!  

Thanks for getflash-1.7, it put Xenial64.alpha back in the running with the new 27.1.0 (64 bit) browser!

>>>---Indian------>

_________________
Cloud Computing For Every Puppy (a .pet)
http://murga-linux.com/puppy/viewtopic.php?t=69192
Back to top
View user's profile Send private message 
boxR


Joined: 13 Aug 2011
Posts: 338
Location: France

PostPosted: Thu 23 Feb 2017, 13:28    Post subject:  

Flashplayer 24.0.0.221 (PET) 32-bits package
Back to top
View user's profile Send private message 
EdD

Joined: 09 Dec 2013
Posts: 171
Location: Southside Virginia

PostPosted: Sun 26 Mar 2017, 18:52    Post subject:  

Thanks, rerwin et al. Installed the 1.7 version on 64bit Slacko 6.3.0. It update to the flash 25.xx and replaced it smoothly. Works properly in FF for me.
_________________
Dell optiplex 780, Intel Core 2 Duo CPU E7500 @ 2.93GHz, 4g RAM, w/ATI RV620 LE Radeon HD 3450.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 11 of 11 [158 Posts]   Goto page: Previous 1, 2, 3, ..., 9, 10, 11
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0766s ][ Queries: 14 (0.0116s) ][ GZIP on ]